Geo data API
5 REST endpoints for geo data, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/geo/cities.
GET/api/geo/citiesGet geo cities
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
country | query | Optional query parameter |
region | query | Optional query parameter |
q | query | Optional query parameter |
limit | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/api/geo/continentscontinents
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
GET/api/geo/countriescountries
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 3
| Name | In | Description |
|---|---|---|
continent | query | Optional query parameter |
limit | query | Optional query parameter |
q | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/api/geo/regionssubdivisions (states / provinces / regions)
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 3
| Name | In | Description |
|---|---|---|
country | query | Optional query parameter |
limit | query | Optional query parameter |
q | query | Optional query parameter |
Examples in 22 languages and Try it →
Responses
GET/api/geo/resolveresolve a free-typed value to something the matcher will accept --
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 3
| Name | In | Description |
|---|---|---|
value | query | Optional query parameter |
type | query | Optional query parameter |
country | query | Optional query parameter |
Examples in 22 languages and Try it →

